
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblOrg]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblOrg](
	[orgid] [int] NULL,
	[Name] [varchar](100) NULL,
	[Address1] [varchar](100) NULL,
	[Address2] [varchar](100) NULL,
	[Address3] [varchar](100) NULL,
	[City] [varchar](100) NULL,
	[Country] [varchar](100) NULL,
	[Email] [varchar](100) NULL,
	[Phone] [varchar](100) NULL,
	[Fax] [varchar](100) NULL,
	[Website] [varchar](100) NULL
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblProjects]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblProjects](
	[ProjectID] [int] NULL,
	[Name] [varchar](100) NULL,
	[Start] [text] NULL,
	[Deadline] [text] NULL,
	[orgid] [int] NULL,
	[Contact] [varchar](100) NULL,
	[budget] [text] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblReleaseStatus]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblReleaseStatus](
	[name] [varchar](100) NULL,
	[description] [text] NULL,
	[statusid] [int] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblStaff]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblStaff](
	[StaffID] [int] NULL,
	[Initial] [varchar](100) NULL,
	[Name] [varchar](100) NULL,
	[orgid] [int] NULL,
	[Phone2] [varchar](100) NULL,
	[Email] [varchar](100) NULL,
	[username] [varchar](100) NULL,
	[password] [varchar](100) NULL,
	[isadmin] [bit] NULL,
	[isglobaladmin] [bit] NULL,
	[First] [varchar](100) NULL,
	[Last] [varchar](100) NULL,
	[position] [varchar](100) NULL,
	[department] [varchar](100) NULL,
	[info] [text] NULL,
	[address1] [varchar](100) NULL,
	[address2] [varchar](100) NULL,
	[address3] [varchar](100) NULL,
	[town] [varchar](100) NULL,
	[Ext] [varchar](100) NULL,
	[Fax] [varchar](100) NULL,
	[inactive] [bit] NULL,
	[Phone] [varchar](100) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tbltasks]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tbltasks](
	[description] [varchar](100) NULL,
	[projectid] [int] NULL,
	[startdate] [text] NULL,
	[enddate] [text] NULL,
	[taskid] [int] NULL,
	[taskstatus] [int] NULL,
	[status] [int] NULL,
	[priorityid] [int] NULL,
	[category] [varchar](100) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblWorkType]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblWorkType](
	[worktypeid] [int] NULL,
	[Description] [varchar](100) NULL,
	[Fixed] [bit] NULL,
	[Rate] [int] NULL,
	[isoutwork] [bit] NULL
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lupOrgCodes]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[lupOrgCodes](
	[orgcode] [varchar](100) NULL
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblCategory]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblCategory](
	[test] [text] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblClient]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblClient](
	[temp_field_to_be_removed] [text] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblhistory]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblhistory](
	[temp_field_to_be_removed] [text] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblTaskResources]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblTaskResources](
	[temp_field_to_be_removed] [text] NULL,
	[taskresourceid] [smallint] NULL,
	[resourceid] [smallint] NULL,
	[projectid] [smallint] NULL,
	[taskid] [smallint] NULL,
	[hours] [smallint] NULL,
	[description] [text] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblTime]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblTime](
	[temp_field_to_be_removed] [text] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblcrs]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblcrs](
	[crid] [int] NULL,
	[projectid] [int] NULL,
	[request-date] [text] NULL,
	[request-staffid] [int] NULL,
	[priorityid] [int] NULL,
	[scope] [bit] NULL,
	[description] [varchar](100) NULL,
	[justify] [varchar](100) NULL,
	[impact-of-not] [varchar](100) NULL,
	[impactcost] [varchar](100) NULL,
	[impactschedule] [varchar](100) NULL,
	[impactconfig] [varchar](100) NULL,
	[alternatives] [varchar](100) NULL,
	[recommend] [text] NULL,
	[decisionid] [int] NULL,
	[decisiondate] [text] NULL,
	[decision-staffid] [int] NULL,
	[status] [int] NULL,
	[category] [varchar](100) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblreleases]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblreleases](
	[ReleaseID] [int] NULL,
	[ProjectID] [int] NULL,
	[ReleaseName] [varchar](100) NULL,
	[ReleaseDate] [varchar](100) NULL,
	[Description] [varchar](100) NULL,
	[status] [int] NULL,
	[staffid] [int] NULL,
	[progress] [int] NULL,
	[priorityid] [int] NULL,
	[crid] [int] NULL
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblIssues]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblIssues](
	[IssueNo] [int] NULL,
	[ProjectID] [int] NULL,
	[Status] [int] NULL,
	[RaisedByID] [int] NULL,
	[Date_Raised] [text] NULL,
	[Issue_Description] [text] NULL,
	[Impact_Activity] [text] NULL,
	[Date_Resolved] [text] NULL,
	[Category] [varchar](100) NULL,
	[Priorityid] [int] NULL,
	[Call_No] [varchar](100) NULL,
	[UAT_No] [varchar](100) NULL,
	[Owner] [int] NULL,
	[DateDue] [text] NULL,
	[Progress] [int] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblprojectstaff]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[tblprojectstaff](
	[deleteto] [text] NULL,
	[projectstaffid] [smallint] NOT NULL,
	[staffid] [smallint] NULL,
	[projectid] [smallint] NULL,
	[title] [nchar](50) NULL,
	[expense] [float] NULL,
	[budget] [float] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lupPriority]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[lupPriority](
	[PriorityID] [int] NULL,
	[Name] [varchar](100) NULL
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lupStatus]') AND type in (N'U'))
BEGIN
CREATE TABLE [vp].[dbo].[lupStatus](
	[StatusID] [int] NULL,
	[Name] [varchar](100) NULL
) ON [PRIMARY]
END


