<%
CONST version="2.0.2"
'********************************
'   NON-EDITABLE
'********************************
CONST dbTYPE_MS_SQL=1
CONST dbTYPE_MY_SQL=2
CONST dbTYPE_MY_SQL5ALPHA=3 'Currently experimental
'CONST dbTYPE_MSACCESS=0

CONST dateformat="2"

Dim database_string
'********************************
'   END NON-EDITABLE
'********************************

'********************************
'Author: Ben Fellows
'Date: 1/04/2006
'Modified: 19/06/2006
'Description: Configuration folder
'for use in Virtual Project
'IMPORTANT: Without these settings
'your application will not run.
'********************************

'********************************
'   START EDITABLE CONFIG DATA
'********************************
    'Database configuration
    CONST confDB_SERVER="localhost"
    CONST confDB_DATABASE="vp"
    CONST confDB_USERNAME="root"
    CONST confDB_PASSWORD="project"
    CONST confDB_TRUSTED=false   'set to true / false for SQL Server TRusted connections
	
    'Dynamic configurables (variables)
    confDB_TYPE=dbTYPE_MY_SQL
    

'********************************
'   END EDITABLE CONFIG DATA
'********************************

'**********************************************************
'   NON-CONFIG CODE: PLEASE LEAVE BELOW CODE INTACT 
'   This code does not need to be changed
'   It is for selecting the correct database depending
'   on constants above
'**********************************************************
Select Case confDB_TYPE
    Case dbTYPE_MS_SQL
        database_string = "Driver={SQL Native Client};"
    Case dbTYPE_MY_SQL
        database_string = "Driver={MySQL ODBC 3.51 Driver};"
    Case dbTYPE_MY_SQL5ALPHA
        database_string = "Driver={MySQL Connector/ODBC v5};"
    Case Else
        Response.Write "Incorrect configuration. See config.asp"
        Response.End
End Select

database_string=database_string & "Server=" & confDB_SERVER & ";" & _
                "Database=" & confDB_DATABASE & ";" & _
                "Uid=" & confDB_USERNAME & ";" & _
                "Pwd=" & confDB_PASSWORD
%>
